> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Explorer Health

> Provides the health status of all modules of the explorer. This endpoint is useful for monitoring the availability and functionality of the explorer's components.
- **Modules Monitored:** Includes monitoring of services such as `monitoring_app`, `monitoring_el_data`, `monitoring_services`, `monitoring_cl_data`, `monitoring_api`, `monitoring_redis`.
- **Response Details:** Returns the status of each module. If all modules are operational, the response will indicate success. Otherwise, it will return an error with details about the failing modules.



## OpenAPI

````yaml /api/v1/bundled.yaml get /api/healthz
openapi: 3.0.4
info:
  title: beaconcha.in API Documentation
  license:
    name: GPL-3.0
    url: https://www.gnu.org/licenses/gpl-3.0.en.html
  description: >-
    > ⚠️ No new features or endpoints will be added to V1. We recommend the [V2
    API](/api/overview) for all new projects. See the [migration
    guide](/api/v1-to-v2-migration).

    ## Introduction

    **Advanced and reliable API for accessing comprehensive Ethereum blockchain
    data.**


    - **Free Usage Policy:** The API is free to use under a fair use policy,
    with rate limits of 10 requests per minute per IP.

    - **Caching:** All responses are cached for 1 minute.

    - **Higher Usage Plans:** For higher usage plans, visit:
    [https://beaconcha.in/pricing](https://beaconcha.in/pricing). An API key is
    required to use these plans.


    ### API Key Usage

    API keys can be obtained at
    [/user/settings](https://beaconcha.in/user/settings) and must be included in
    requests either as a query string parameter or in the request header.


    #### Example: Query String Parameter

    ```bash

    curl https://beaconcha.in/api/v1/slot/1?apikey=<your_key>

    ```


    #### Example: Request Header

    ```bash

    curl -H 'apikey: <your_key>' https://beaconcha.in/api/v1/slot/1

    ```
  contact: {}
  version: '1.1'
servers:
  - url: https://beaconcha.in
    description: Ethereum mainnet
  - url: https://hoodi.beaconcha.in
    description: Hoodi Ethereum testnet
security:
  - ApiKeyAuthQuery: []
  - ApiKeyAuthHeader: []
tags:
  - name: Epoch
    description: Data related to consensus layer epochs
  - name: Slots
    description: Data related to consensus layer slots
  - name: Validators
    description: Data related to consensus layer validators
  - name: Rewards
    description: Data related to validator rewards
  - name: Sync Committees
    description: Data related to sync committees
  - name: Rocketpool
    description: Data related to the rocketpool protocol
  - name: ETH.Store®
    description: Data related to the ETH.Store® metric
  - name: Validator deposits
    description: Data related to execution layer validator deposits
  - name: Blocks
    description: Data related to execution layer blocks
  - name: Gas
    description: Data related to gas prices
  - name: Address
    description: Data related to ethereum addresses
  - name: Network
    description: Network data
  - name: Misc
    description: Miscellaneous data
  - name: User
    description: User data
  - name: Machine Metrics
    description: Submit machine, beacon-node, and validator-client monitoring metrics
paths:
  /api/healthz:
    get:
      tags:
        - Misc
      summary: Explorer Health
      description: >-
        Provides the health status of all modules of the explorer. This endpoint
        is useful for monitoring the availability and functionality of the
        explorer's components.

        - **Modules Monitored:** Includes monitoring of services such as
        `monitoring_app`, `monitoring_el_data`, `monitoring_services`,
        `monitoring_cl_data`, `monitoring_api`, `monitoring_redis`.

        - **Response Details:** Returns the status of each module. If all
        modules are operational, the response will indicate success. Otherwise,
        it will return an error with details about the failing modules.
      responses:
        '200':
          description: |-
            All modules are healthy. Response format:
            ```
            module monitoring_el_data: OK
            module monitoring_cl_data: OK
            module monitoring_redis: OK
            module monitoring_api: OK
            module monitoring_services: OK
            module monitoring_app: OK
            ```
          content:
            text/plain:
              example: |-
                module monitoring_el_data: OK
                module monitoring_cl_data: OK
                module monitoring_redis: OK
                module monitoring_api: OK
                module monitoring_services: OK
                module monitoring_app: OK
        '400':
          description: |-
            Invalid request. Response format:
            ```
            Bad request
            ```
          content:
            text/plain:
              example: Bad request
        '500':
          description: |-
            Some modules are unhealthy. Response format:
            ```
            module monitoring_el_data: ERROR
            module monitoring_cl_data: OK
            module monitoring_redis: ERROR
            module monitoring_api: OK
            module monitoring_services: OK
            module monitoring_app: ERROR
            ```
          content:
            text/plain:
              example: |-
                module monitoring_el_data: ERROR
                module monitoring_cl_data: OK
                module monitoring_redis: ERROR
                module monitoring_api: OK
                module monitoring_services: OK
                module monitoring_app: ERROR
components:
  securitySchemes:
    ApiKeyAuthQuery:
      type: apiKey
      in: query
      name: apikey
      description: ''
    ApiKeyAuthHeader:
      type: apiKey
      in: header
      name: apikey
      description: ''

````